Summary: Documentation for Subversion.
Name: subversion-book
Version: 1.1.0
Release: 1
Copyright: BSD
Group: Utilities/System
URL: http://subversion.tigris.org
SOURCE0: subversion-book-%{version}-%{release}.tar.gz
Patch0: doc.patch
Vendor: Summersoft
Packager: David Summers <david@summersoft.fay.ar.us>
BuildPreReq: autoconf >= 2.53
BuildPreReq: docbook-style-xsl >= 1.58.1
BuildPreReq: doxygen
BuildPreReq: libxslt >= 1.0.27
BuildPreReq: perl
BuildPreReq: python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
Prefix: /usr
%description
Subversion is a concurrent version control system which enables one or more
users to collaborate in developing and maintaining a hierarchy of files and
directories while keeping a history of all changes.  Subversion only stores
the differences between versions, instead of every complete file.  Subversion
also keeps a log of who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent Versioning System)
but has major enhancements compared to CVS and fixes a lot of the annoyances
that CVS users face.

%changelog
* Wed Feb 02 2005 David Summers <david@summersoft.fay.ar.us> 1.1.0-1144
- First version since book moved to http://svn.red-bean.com/svnbook.

%prep
%setup -q

if [ -f /usr/bin/autoconf-2.53 ]; then
   AUTOCONF="autoconf-2.53"
   AUTOHEADER="autoheader-2.53"
   export AUTOCONF AUTOHEADER
fi

# Fix documentation version generation.
%patch0 -p1

# Figure out version and release number for command and documentation display.
case "%{release}" in
   1)
      # Build an official release
      RELEASE_NAME="%{version}"
      ;;
   alpha*|beta*|gamma*)
      # Build an alpha, beta, gamma release.
      RELEASE_NAME="%{version} (%{release})"
      ;;
   *)
      # Build a working copy release
      RELEASE_NAME="%{version} (dev build, r%{release})"
      ;;
esac
export RELEASE_NAME
echo "${RELEASE_NAME}" > package.version

%build
cd svnbook/src/en
make all-html

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR="$RPM_BUILD_ROOT"

# Set up book generation and installation
#(cd doc/book;
#rm -f book/version.xml
# Start patch by Ben Reser <ben@reser.org> to get documentation to build.
#%{__perl} -pi -e 's#href="xsl/(html/docbook.xsl)"#href="%{_datadir}/sgml/docbook/xsl-stylesheets/$1"#;' tools/html-stylesheet.xsl
#%{__perl} -pi -e 's#href="xsl/(html/chunk.xsl)"#href="%{_datadir}/sgml/docbook/xsl-stylesheets/$1"#;' tools/chunk-stylesheet.xsl
## End patch by Ben Reser <ben@reser.org> to get documentation to build.
#make SVNVERSION=%{release} XSL_DIR=/usr/share/sgml/docbook/xsl-stylesheets all-html)

cp -r svnbook/src/en/book/html-chunk book
cp -r svnbook/src/en/book/images     book/images

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc book
